package php5-suhosin 0.9.33-3build1 failed to install/upgrade: ErrorMessage: package php5-suhosin is already installed and configured

Bug #1046856 reported by Billy Xu
This bug report is a duplicate of:  Edit Remove
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
New
Undecided
Unassigned

Bug Description

No further information.

ProblemType: Package
DistroRelease: Ubuntu 12.10
Package: php5-suhosin 0.9.33-3build1
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic i686
NonfreeKernelModules: wl
ApportVersion: 2.5.1-0ubuntu4
Architecture: i386
Date: Wed Sep 5 21:51:51 2012
ErrorMessage: ErrorMessage: package php5-suhosin is already installed and configured
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
SourcePackage: dpkg
Title: package php5-suhosin 0.9.33-3build1 failed to install/upgrade: ErrorMessage: package php5-suhosin is already installed and configured
UpgradeStatus: Upgraded to quantal on 2012-09-05 (0 days ago)

Revision history for this message
Billy Xu (billyxu) wrote :
Revision history for this message
Brian Murray (brian-murray) wrote :

From Mainlog we can see the following:

2012-09-05 19:34:49,554 INFO apt version: '0.8.16~exp12ubuntu10.3'
2012-09-05 19:34:49,555 INFO release-upgrader version '0.180' started

That version of apt should have contained the fix for bug 927993, but perhaps it was insufficient.

Revision history for this message
Brian Murray (brian-murray) wrote :

I tried recreating this using the apt-clone file provided however, I ended up using different versions of apt and the release upgrader and the I did not encounter this same error.

2013-10-22 22:17:19,348 INFO apt version: '0.8.16~exp12ubuntu10.15'
2013-10-22 22:17:19,348 INFO release-upgrader version '0.190.4' started

Revision history for this message
Brian Murray (brian-murray) wrote :

However, I did run into a different error with the php5-suhosin package:

Preparing to replace php5-suhosin 0.9.33-1 (using .../php5-suhosin_0.9.33-3build1_amd64.deb) ...^M
mv: cannot move `/etc/php5/conf.d/suhosin.ini' to `/etc/php5/mods-available/suhosin.ini': No such file or directory^M
dpkg: error processing /var/cache/apt/archives/php5-suhosin_0.9.33-3build1_amd64.deb (--unpack):^M
 subprocess new pre-installation script returned error exit status 1^M

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.
  • Duplicate of a private bug Remove

Other bug subscribers